Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/32210/?format=api
{ "ob_id": 32210, "uuid": "131a1935809540488cbb20bf5be5e8b3", "title": "APHH: Multi Angle Absorption Photometer (MAAP) measurements made at the Indira Gandhi Delhi Technical University for Women (IGDTUW) site during the post monsoon periods for the DelhiFlux field campaign 2018", "abstract": "This dataset contains Black carbon (BC) concentrations in ugm-3 measured with an Multi Angle Absorption Photometer (MAAP) made during Post-Monsoon period of the APHH Delhi campaign in 2018 at Indian Meteorological Department (IMD) site. The measurements were collected at a height of ~ 26m.\r\nThe data has been corrected following the Weingartner method. Absorption coefficients were calculated following the Sandradewi model to determine biomass burning and fossil fuel contributions in Mm-1. The measurements were collected at a height of 4m.\r\n\r\nThe data were collected as part of the DelhiFlux project part of Air Pollution & Human Health in a Developing Indian Megacity (APHH-India) programme.", "keywords": "APHH, Delhiflux, black carbon", "publicationState": "published", "dataPublishedTime": "2021-03-10T13:44:32", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/32211/?format=api", "dataPath": "/badc/aphh/data/delhi/delhiflux/man-maap-bc", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 31817, "numberOfFiles": 2, "fileFormat": "Data are BADC-CSV formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8828/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2612/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55130/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55131/?format=api" ], "dataLineage": "Data were collected, quality controlled and prepared for archiving by the instrument scientists before upload to the Centre for Environmental Data Analysis (CEDA) for long term archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/24808/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/projects/30221/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30224/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/32625/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143240/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143242/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143243/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143244/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143245/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143246/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143247/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143241/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168355/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143248/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143249/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143250/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/32212/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }